#Western Castle floor 2 treasure 4
from eventAPI import *
from APIUtils import *

rtcastle2chest4 = 0

def fireEvent(e):
   global rtcastle2chest4
   rtcastle2chest4 = getTag(e, "rtcastle2chest4")
   if (rtcastle2chest4 == 1):
      return 1
   else:
      showMessage(e, ["There are alchemical ingredients here.  You take what you can, knowing that what you leave behind will certainly be taken by others."])
      giveItems(e, ["Black Ore", "Black Ore", "Dragon Blood Drop", "Dragon Blood Drop", "Dragon Blood Drop", "Dragon Blood Drop", "Enchanted Dagger"])
   rtcastle2chest4 = 1
   setTag(e, "rtcastle2chest4", rtcastle2chest4)
   return 1
